Subject: Re: bug#67129: 30.0.50; starting js-mode or js-ts-mode eats ram until emacs gets killed

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Nov 2023 18:31:33 +0200

[Please use Reply All to keep the bug tracker on the CC list.]

> Date: Sun, 12 Nov 2023 13:09:26 +0000
> From: "Alex McGrath" <[email-masked]>
> TLS-Required: No
> 
> 12 November 2023 at 12:32, "Eli Zaretskii" <[email-masked]> wrote:
> > 
> > If you mean this recipe:
> > 
> >  emacs -Q
> >  M-x js-mode RET
> > 
> > then after it I cannot see any changes in the Emacs's memory
> > footprint. It stays constant. Do I need to do something else, like
> > visit a JS source file?
> >
> 
> Yes this is the recipe i used, I've debugged it a bit more, and I
> think its an issue with how the javascript tree-sitter grammer
> is built on alpine, if its not installed it works okay, and if its
> installed via treesit-install-language-grammer it also works fine.

So the problem is only with js-ts-mode, not with js-mode?  Your
original report said both modes cause the problem.  js-mode doesn't
use the tree-sitter grammar.

> I think this can be closed as it seems specific to something alpine
> is doing

Fine by me, but I'd like first to hear from you that js-mode is free
from the problem, otherwise the tree-sitter grammar is not necessarily
the cause.